<?php

/**
* Clase Bean para Cliente
*
* @package Prj
* @subpackage ClienteBean
* @author Willy
* @version SVN: : ClienteBean.class.php,v 1.1 2009/05/24 22:30:31 william.taype Exp $
*/
class ClienteBean{

  protected $IdCliente;
  protected $IdMercado;
  protected $IdTipoNegocio;
  protected $Nombres;
  protected $ApellidoPaterno;
  protected $ApellidoMaterno;
  protected $Dni;
  protected $Sexo;
  protected $EstadoCivil;
  protected $FechaNacimiento;
  protected $Telefono;
  protected $Celular;
  protected $Eliminado;
  protected $Estado;
  protected $Direccion;
  protected $UsuarioCreacion;
  protected $FechaCreacion;
  protected $UsuarioModificacion;
  protected $FechaModificacion;
  protected $UsuarioEliminado;
  protected $FechaEliminado;
  protected $NombreCompleto;
  protected $FiltroMercado;
  protected $FechaInicioPrestamo;
  protected $GastoAdministrativoPorcentaje;
  protected $InteresPorcentaje;
  

  protected $Mensaje;
  protected $Error;

  public function getIdCliente(){
    return $this->IdCliente;
  }
  public function setIdCliente($v){
    $this->IdCliente = $v;
  }

  public function getNotIdCliente(){
    return $this->NotIdCliente;
  }
  public function setNotIdCliente($v){
    $this->NotIdCliente = $v;
  }

  public function getFlagInfocorp(){
    return $this->FlagInfocorp;
  }
  public function setFlagInfocorp($v){
    $this->FlagInfocorp = $v;
  }
  
  public function getColorInfocorp(){
    return $this->ColorInfocorp;
  }
  public function setColorInfocorp($v){
    $this->ColorInfocorp = $v;
  }
 
  public function getScoreInfocorp(){
    return $this->ScoreInfocorp;
  }
  public function setScoreInfocorp($v){
    $this->ScoreInfocorp = $v;
  }
  public function getJsonReniec(){
    return $this->JsonReniec;
  }
  public function setJsonReniec($v){
    $this->JsonReniec = $v;
  }
  
   public function getDireccionViviendaReal(){
    return $this->DireccionViviendaReal;
  }
  public function setDireccionViviendaReal($v){
    $this->DireccionViviendaReal = $v;
  }
   public function getReferenciaViviendaReal(){
    return $this->ReferenciaViviendaReal;
  }
  public function setReferenciaViviendaReal($v){
    $this->ReferenciaViviendaReal = $v;
  }
   public function getFechaCaducidadDoc(){
    return $this->FechaCaducidadDoc;
  }
  public function setFechaCaducidadDoc($v){
    $this->FechaCaducidadDoc = $v;
  }
  public function getReferenciaNegocio(){
    return $this->ReferenciaNegocio;
  }
  public function setReferenciaNegocio($v){
    $this->ReferenciaNegocio = $v;
  }

 public function getClasificacionInfocorp(){
    return $this->ClasificacionInfocorp;
  }
  public function setClasificacionInfocorp($v){
    $this->ClasificacionInfocorp = $v;
  }

  public function getFecActualizacionInfocorp(){
    return $this->FecActualizacionInfocorp;
  }
  public function setFecActualizacionInfocorp($v){
    $this->FecActualizacionInfocorp = $v;
  }

  public function getUsrActualizacionInfocorp(){
    return $this->UsrActualizacionInfocorp;
  }
  public function setUsrActualizacionInfocorp($v){
    $this->UsrActualizacionInfocorp = $v;
  }

  
  public function getFiltroMercado(){
    return $this->FiltroMercado;
  }
  
  public function setFiltroMercado($v){
    $this->FiltroMercado = $v;
  }
  
  public function getIdMercado(){
    return $this->IdMercado;
  }
  public function setIdMercado($v){
    $this->IdMercado = $v;
  }
  
   public function getIdcolaborador(){
    return $this->IdColaborador;
  }
  public function setIdColaborador($v){
    $this->IdColaborador = $v;
  }

  public function getFechaInicioPrestamo(){
    return $this->FechaInicioPrestamo;
  }
  public function setFechaInicioPrestamo($v){
    $this->FechaInicioPrestamo = $v;
  }

  public function getIdTipoNegocio(){
    return $this->IdTipoNegocio;
  }
  public function setIdTipoNegocio($v){
    $this->IdTipoNegocio = $v;
  }
  
   public function getOtroTipoNegocio(){
    return $this->OtroTipoNegocio;
  }
  public function setOtroTipoNegocio($v){
    $this->OtroTipoNegocio = $v;
  }
  
  public function getDireccionNegocio(){
    return $this->DireccionNegocio;
  }
  public function setDireccionNegocio($v){
    $this->DireccionNegocio = $v;
  }
  
  public function getCorreo(){
    return $this->Correo;
  }
  public function setCorreo($v){
    $this->Correo = $v;
  }
  
  public function getLatitudNegocio(){
    return $this->LatitudNegocio;
  }
  public function setLatitudNegocio($v){
    $this->LatitudNegocio = $v;
  }
  
  public function getLongitudNegocio(){
    return $this->LongitudNegocio;
  }
  public function setLongitudNegocio($v){
    $this->LongitudNegocio = $v;
  }
  public function getLongitudDomicilio(){
    return $this->LongitudDomicilio;
  }
  public function setLongitudDomicilio($v){
    $this->LongitudDomicilio = $v;
  }
							    		
  public function getLatitudDomicilio(){
    return $this->LatitudDomicilio;
  }
  public function setLatitudDomicilio($v){
    $this->LatitudDomicilio = $v;
  }
  
  						    		
  public function getFlagConHuella(){
    return $this->FlagConHuella;
  }
  public function setFlagConHuella($v){
    $this->FlagConHuella = $v;
  }
  
  public function getSemaforo(){
    return $this->Semaforo;
  }
  public function setSemaforo($v){
    $this->Semaforo = $v;
  }
  
  /* public function getGastoAdministrativoPorcentaje(){
    return $this->GastoAdministrativoPorcentaje;
  }
  public function setGastoAdministrativoPorcentaje($v){
    $this->GastoAdministrativoPorcentaje = $v;
  } */

  public function getNombres(){
    return $this->Nombres;
  }
  public function setNombres($v){
    $this->Nombres = $v;
  }

  public function getApellidoPaterno(){
    return $this->ApellidoPaterno;
  }
  public function setApellidoPaterno($v){
    $this->ApellidoPaterno = $v;
  }
  /*public function getNombreCompleto(){
    return $this->NombreCompleto;
  }
  public function setNombreCompleto($v){
    $this->NombreCompleto = $v;
  }*/
 public function getNombreCompleto(){
   return $this->Nombres .", ".$this->ApellidoPaterno ." ".$this->ApellidoMaterno;
 }
  public function setNombreCompleto($v){
    $this->NombreCompleto = $v;
  }
    
  public function getNombreCompletoLike(){
   return $this->NombreCompletoLike;
  }
  public function setNombreCompletoLike($v){
    $this->NombreCompletoLike = $v;
  }
  
  public function getApellidoMaterno(){
    return $this->ApellidoMaterno;
  }
  public function setApellidoMaterno($v){
    $this->ApellidoMaterno = $v;
  }

  public function getEstado(){
    return $this->Estado;
  }
  public function setEstado($v){
    $this->Estado = $v;
  }

  public function getDireccion(){
    return $this->Direccion;
  }
  public function setDireccion($v){
    $this->Direccion = $v;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($v){
    $this->UsuarioCreacion = $v;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($v){
    $this->FechaCreacion = $v;
  }
  
   public function getFechaCreacionFinal(){
    return $this->FechaCreacionFinal;
  }
  public function setFechaCreacionFinal($v){
    $this->FechaCreacionFinal = $v;
  }

  public function getUsuarioModificacion(){
    return $this->UsuarioModificacion;
  }
  public function setUsuarioModificacion($v){
    $this->UsuarioModificacion = $v;
  }

  public function getFechaModificacion(){
    return $this->FechaModificacion;
  }
  public function setFechaModificacion($v){
    $this->FechaModificacion = $v;
  }

  public function getEliminado(){
    return $this->Eliminado;
  }
  public function setEliminado($v){
    $this->Eliminado = $v;
  }

  public function getFechaEliminado(){
    return $this->FechaEliminado;
  }
  public function setFechaEliminado($v){
    $this->FechaEliminado = $v;
  }
  public function getUsuarioEliminado(){
    return $this->UsuarioEliminado;
  }
  public function setUsuarioEliminado($v){
    $this->UsuarioEliminado = $v;
  }
  public function getDni(){
    return $this->Dni;
  }
  public function setDni($v){
    $this->Dni = $v;
  }
  public function getNuevoDni(){
    return $this->NuevoDni;
  }
  public function setNuevoDni($v){
    $this->NuevoDni = $v;
  }
  public function getTipoDocumento(){
    return $this->TipoDocumento;
  }
  public function setTipoDocumento($v){
    $this->TipoDocumento = $v;
  }
  public function getSexo(){
    return $this->Sexo;
  }
  public function setSexo($v){
    $this->Sexo = $v;
  }
  
   public function getEstadoCivil(){
    return $this->EstadoCivil;
  }
  public function setEstadoCivil($v){
    $this->EstadoCivil = $v;
  }
  public function getFechaNacimiento(){
    return $this->FechaNacimiento;
  }
  public function setFechaNacimiento($v){
    $this->FechaNacimiento = $v;
  }
  public function getTelefono(){
    return $this->Telefono;
  }
  public function setTelefono($v){
    $this->Telefono = $v;
  }
  public function getCelular(){
    return $this->Celular;
  }
  public function setCelular($v){
    $this->Celular = $v;
  }
  public function getFechaConversion(){
    return $this->FechaConversion;
  }
  public function setFechaConversion($v){
    $this->FechaConversion = $v;
  }
  public function getFechaConversionFinal(){
    return $this->FechaConversionFinal;
  }
  public function setFechaConversionFinal($v){
    $this->FechaConversionFinal = $v;
  }
  public function getFlagHuellaConProblema(){
    return $this->FlagHuellaConProblema;
  }
  public function setFlagHuellaConProblema($v){
    $this->FlagHuellaConProblema = $v;
  }
  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }
  public function getGastoAdministrativoPorcentaje(){
    return $this->GastoAdministrativoPorcentaje;
  }
  public function setGastoAdministrativoPorcentaje($vl){
    $this->GastoAdministrativoPorcentaje = $vl;
  }
  public function getInteresPorcentaje(){
    return $this->InteresPorcentaje;
  }
  public function setInteresPorcentaje($vl){
    $this->InteresPorcentaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

}